import { MarkerSeriesDescription } from "./MarkerSeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class CategorySeriesDescription extends MarkerSeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private b7;
    get isCustomCategoryStyleAllowed(): boolean;
    set isCustomCategoryStyleAllowed(a: boolean);
    private b6;
    get isCustomCategoryMarkerStyleAllowed(): boolean;
    set isCustomCategoryMarkerStyleAllowed(a: boolean);
    private b9;
    get useHighMarkerFidelity(): boolean;
    set useHighMarkerFidelity(a: boolean);
    private cg;
    get transitionInMode(): string;
    set transitionInMode(a: string);
    private b8;
    get isTransitionInEnabled(): boolean;
    set isTransitionInEnabled(a: boolean);
    private cf;
    get assigningCategoryStyleRef(): string;
    set assigningCategoryStyleRef(a: string);
    private ce;
    get assigningCategoryMarkerStyleRef(): string;
    set assigningCategoryMarkerStyleRef(a: string);
}
